import { SimpleLocalIntegration } from '../../core/index.js';
import { IhcConfigFlow } from './ihc.classes.configflow.js';
import { createIhcDiscoveryDescriptor } from './ihc.discovery.js';
import type { IIhcConfig } from './ihc.types.js';
import { ihcDomain, ihcProfile } from './ihc.types.js';

export class IhcIntegration extends SimpleLocalIntegration<IIhcConfig> {
  public readonly domain = ihcDomain;
  public readonly discoveryDescriptor = createIhcDiscoveryDescriptor();
  public readonly configFlow = new IhcConfigFlow();

  constructor() {
    super(ihcProfile);
  }
}

export class HomeAssistantIhcIntegration extends IhcIntegration {}
